Skip to main content

Correction Service

The correction resource records the corrections made to dataset data after it was delivered: a value that changed in a later delivery for the same date. It is read-only and uses the dataset policies.

Correction REST API​

The Correction REST API is accessed through the following URL:

https://api.opendatadsl.com/api/correction
MethodPathExampleDescription
GETGet the build information for this service
GET{release}/{source}v1/private v1/commonList corrections
GET{release}/{source}/{key}v1/private/6721f0c2a4b9e85d3c0f1a77Retrieve a correction

Use _search to search on the dataset id and origin.

Entities​

Correction​

NameDescriptionType
dsidThe dataset idString
ondateThe delivery dateString
propertyThe property that changedString
tenorThe tenor that changed, for curve dataString
previousThe previous valueAny
newThe corrected valueAny
lastWhen the previous value was deliveredDateTime
timestampWhen the correction was deliveredDateTime
originWhere the correction came fromString
invocationIdThe request that delivered the correctionString

Examples​

### Corrections for a dataset
GET https://api.opendatadsl.com/api/correction/v1/private
?_filter={"dsid":"ICE.NDEX.NLB"}
&_sort={"timestamp":-1}
Authorization: Bearer {{token}}